<!DOCTYPE html>
<html>
   <head>
<title>10's.fist. web.</title>
<meta
  name="elynn"
  content="this is an art assignment">

  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>背景图片网页</title>
    <style>
        body {
            margin: 0;
            padding: 0;
            background-image: url('85a742fbd3aa1840d11e3a7d64f0d7d8.jpg'); /* 图片路径 */
            background-size: cover;
            background-position: center;
            background-repeat: no-repeat;
            height: 100vh;
            display: flex;
            justify-content: center;
            align-items: center;
            color: #fff;
        }
    

     body {
         height: 150vh; /* 使页面有足够高的内容，以便能够滚动 */
         margin: 0; /* 去除默认的页面边距 */
         overflow: hidden; /* 隐藏页面溢出部分 */
     }
    </style>
</head>







<body>

    


  <style>
    body {
        margin: 0;
        overflow: hidden;
    }

    #customCursor {
        position: absolute;
        width: 80px;
        height: 80px;
        background-image: url('蝴蝶icon.png'); /* 替换为你的图片路径 */
        background-size: cover;
        pointer-events: none; /* 禁止鼠标事件穿透 */
        transform: translate(-50%, -50%);
    }
    
  </style>




<script>
    // 获取自定义鼠标元素
    const customCursor = document.getElementById('customCursor');

    // 更新鼠标位置的函数
    function updateCursorPosition(event) {
        const x = event.clientX;
        const y = event.clientY;
        customCursor.style.left = `${x}px`;
        customCursor.style.top = `${y}px`;
    }

    // 添加鼠标移动事件监听器
    document.addEventListener('mousemove', updateCursorPosition);
</script>







<div>
    
     <img src="6a51f78235473a1da28c28cf90dc4cbf.png" width="200" style="position:absolute; left:80px; top:40px">
     <img src="信封.png" width="400" style="position:absolute; left:240px; top:140px" usemap="#hidden">
    
            <map name="hidden">
              <area shape="circle" coords="200,200,90" style="cursor: pointer;" onclick="openPopup()">
         </map>

</div>

        
<script>
        function openPopup(){
        var url ="tiaozhuan.html";
        var windowFeatures = "width=300, height=500, left=200, bottom=400, top=200, resizable=yes, scrollbars=yes, status=yes";
        window.open(url, "PopupWindow", windowFeatures);
        }
</script>



 
    




<div>
     <h1 style="position:fixed; left:50px; top:500px; font-size:80px; font-style:italic; font-weight: 600; ">你打碎了粉色的万花筒<h1>
     <br>
     <h2 style="position:fixed; left:780px; top:750px; font-size:50px; font-style:italic; font-weight: 200";>漫天的彩虹坠入森林</h2>
     <h2 style="position:fixed; left:250px; top:850px; font-size:20px; font-style:italic; font-weight: 200";>星星</h2>
     <h2 style="position:fixed; left:120px; top:900px; font-size:30px; font-style:italic; font-weight: 200";>揉碎的 &nbsp; &nbsp; &nbsp; &nbsp;落入湖畔</h2>
     <h2 style="position:fixed; left:900px; top:1400px; font-size:50px; font-style:italic; font-weight: 200";>天地斑斓</h2>
     <h2 style="position:fixed; left:400px; top:1000px; font-size:40px; font-style:italic; font-weight: 200";>但无声</h2>
     <h2 style="position:fixed; left:600px; top:1500px; font-size:30px; font-style:italic; font-weight: 200";>在醒和梦的缝隙</h2>



     <video src="WeChat_20240310124414.mp4" position:fixed loop autoplay width="2030" style="position:fixed; left:1300px; top:30px"></video>
     <img src="1eb6be58f1df0f2d8d2d66c9eb06d48c.gif" position:fixed loop autoplay width="500" style="position:fixed; left:1px; top:1200px"></video>
     <img src="0289c8fd06e06877cdb03f38752d038f.gif" position:fixed loop autoplay width="500" style="position:fixed; left:1px; top:1200px"></video>

     



     <audio src="" loop autoplay></audio>
     <img src="" width="300" style="position:fixed; left:1000px; top:5px">
     <img src="e14632c7bc4b26496c40e6a0cbf0f54b.png" width="300" style="position:absolute; left:600px; top:5px">
     <img src="020916a63de21db5d2bb3cb264d2a471.png" width="250" style="position:absolute; left:900px; top:5px">
     <img src="02a9f93e88a8214f811e6984b0c0469b.png" width="550" style="position:absolute; left:900px; top:5px">
     <a href="" target="_blank" title="点击你找到的爱心，来寻找秘密入口" style="position:absolute; left:780px; top:750px; font-size:30px; font-weight: 400">star</a>
     <a href="tiaozhe" target="_blank" title="点击你找到的爱心，来寻找秘密入口" style=" left:60px; top:150px;font-size:30px">star</a>
     <a href="tiaozhe" target="_blank" title="点击你找到的爱心，来寻找秘密入口" style="position:absolute; left:1000px; top:1000px; font-size:30px; font-weight: 400">star</a>




</div>


<div>
    
   
    <img src="手.png" width="300" style="position:absolute; left:70px; top:600px" usemap="#shou">
   
           <map name="shou">
             <area shape="circle" coords="200,200,90" style="cursor: pointer;" href="shou.html"; target="_blank">
        </map>

</div>









<script>
        // 监听鼠标滚轮事件
        window.addEventListener('wheel', function (e) {
            // 根据滚轮的方向调整滚动位置
            window.scrollBy(0, e.deltaY);
        });
        
</script>
    
<script>
    document.addEventListener('mousemove', function (event) {
        const mouseY = event.clientY;
        const windowHeight = window.innerHeight;

        // 设置一个敏感度，根据需要调整
        const sensitivity = ;

        // 如果鼠标接近窗口顶部，向上滚动
        if (mouseY < sensitivity) {
            window.scrollBy(10, -50); // 调整滚动的速度和方向
        }

        // 如果鼠标接近窗口底部，向下滚动
        if (mouseY > windowHeight - sensitivity) {
            window.scrollBy(10, 50); // 调整滚动的速度和方向
        }
    });
</script>






<style>
    #container {
        position: relative;
        width: 300px;
        height: 300px;
        top: 800px; /* 设置图像距离容器上边的距离 */
        left: -700px; /* 设置图像距离容器左边的距离 */
        overflow: hidden;
        border-radius: 50%; /* 创建圆形容器 */
        background-color: lightgray;
    }

    #image {
        position: absolute;
        width: 100%;
        height: 100%;
        object-fit: cover;
        transform-origin: center center;
        transition: transform 0.5s ease-in-out; /* 添加过渡效果 */
    }
</style>
<div id="container">
    <img id="image" src="cd578b48140e2c53bab7bf1d8286dae2.jpg" alt="Your Image">
</div>

 <script>
    const container = document.getElementById('container');
    const image = document.getElementById('image');

    container.addEventListener('mousemove', (event) => {
        const rect = container.getBoundingClientRect();
        const mouseX = event.clientX - rect.left;
        const mouseY = event.clientY - rect.top;

        // 计算图像应用的旋转角度
        const rotateX = (mouseY / rect.height - 0.5) * 360;
        const rotateY = (mouseX / rect.width - 0.5) * 360;

        // 设置图像的变换效果
        image.style.transform = `rotateX(${rotateX}deg) rotateY(${rotateY}deg)`;
    });

    container.addEventListener('mouseleave', () => {
        // 鼠标离开时恢复初始状态
        image.style.transform = 'rotateX(0deg) rotateY(0deg)';
    });
 </script>



    </body>

























</html>